Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs	(revision 6011)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs	(revision 6012)
@@ -46,9 +46,7 @@
     private void InitializeComponent() {
       this.chartTypeComboBox = new System.Windows.Forms.ComboBox();
-      this.secondYAxisCheckBox = new System.Windows.Forms.CheckBox();
       this.colorDialog = new System.Windows.Forms.ColorDialog();
       this.colorButton = new System.Windows.Forms.Button();
       this.startIndexZeroCheckBox = new System.Windows.Forms.CheckBox();
-      this.exactBinsCheckBox = new System.Windows.Forms.CheckBox();
       this.binsNumericUpDown = new System.Windows.Forms.NumericUpDown();
       this.label1 = new System.Windows.Forms.Label();
@@ -56,35 +54,42 @@
       this.label3 = new System.Windows.Forms.Label();
       this.commonGroupBox = new System.Windows.Forms.GroupBox();
+      this.xAxisSecondaryRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisSecondaryRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
+      this.label6 = new System.Windows.Forms.Label();
+      this.label5 = new System.Windows.Forms.Label();
       this.histoGramGroupBox = new System.Windows.Forms.GroupBox();
-      this.secondXAxisCheckBox = new System.Windows.Forms.CheckBox();
+      this.lineChartGroupBox = new System.Windows.Forms.GroupBox();
+      this.lineWidthNumericUpDown = new System.Windows.Forms.NumericUpDown();
+      this.label4 = new System.Windows.Forms.Label();
+      this.label7 = new System.Windows.Forms.Label();
+      this.binsApproximatelyRadioButton = new System.Windows.Forms.RadioButton();
+      this.binsExactRadioButton = new System.Windows.Forms.RadioButton();
+      this.panel1 = new System.Windows.Forms.Panel();
+      this.panel2 = new System.Windows.Forms.Panel();
+      this.panel3 = new System.Windows.Forms.Panel();
+      this.lineStyleComboBox = new System.Windows.Forms.ComboBox();
+      this.label8 = new System.Windows.Forms.Label();
       ((System.ComponentModel.ISupportInitialize)(this.binsNumericUpDown)).BeginInit();
       this.commonGroupBox.SuspendLayout();
       this.histoGramGroupBox.SuspendLayout();
+      this.lineChartGroupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.lineWidthNumericUpDown)).BeginInit();
+      this.panel1.SuspendLayout();
+      this.panel2.SuspendLayout();
+      this.panel3.SuspendLayout();
       this.SuspendLayout();
       // 
       // chartTypeComboBox
       // 
-      this.chartTypeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
       this.chartTypeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.chartTypeComboBox.FormattingEnabled = true;
-      this.chartTypeComboBox.Location = new System.Drawing.Point(90, 19);
+      this.chartTypeComboBox.Location = new System.Drawing.Point(76, 19);
       this.chartTypeComboBox.Name = "chartTypeComboBox";
-      this.chartTypeComboBox.Size = new System.Drawing.Size(377, 21);
-      this.chartTypeComboBox.TabIndex = 0;
+      this.chartTypeComboBox.Size = new System.Drawing.Size(218, 21);
+      this.chartTypeComboBox.TabIndex = 1;
       this.chartTypeComboBox.SelectedValueChanged += new System.EventHandler(this.chartTypeComboBox_SelectedValueChanged);
       // 
-      // secondYAxisCheckBox
-      // 
-      this.secondYAxisCheckBox.AutoSize = true;
-      this.secondYAxisCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
-      this.secondYAxisCheckBox.Location = new System.Drawing.Point(8, 75);
-      this.secondYAxisCheckBox.Name = "secondYAxisCheckBox";
-      this.secondYAxisCheckBox.Size = new System.Drawing.Size(98, 17);
-      this.secondYAxisCheckBox.TabIndex = 1;
-      this.secondYAxisCheckBox.Text = "Second Y Axis:";
-      this.secondYAxisCheckBox.UseVisualStyleBackColor = true;
-      this.secondYAxisCheckBox.CheckedChanged += new System.EventHandler(this.secondYAxisCheckBox_CheckedChanged);
-      // 
       // colorDialog
       // 
@@ -94,8 +99,8 @@
       // 
       this.colorButton.BackColor = System.Drawing.SystemColors.Control;
-      this.colorButton.Location = new System.Drawing.Point(90, 46);
+      this.colorButton.Location = new System.Drawing.Point(76, 46);
       this.colorButton.Name = "colorButton";
       this.colorButton.Size = new System.Drawing.Size(23, 23);
-      this.colorButton.TabIndex = 2;
+      this.colorButton.TabIndex = 3;
       this.colorButton.UseVisualStyleBackColor = false;
       this.colorButton.Click += new System.EventHandler(this.colorButton_Click);
@@ -105,30 +110,27 @@
       this.startIndexZeroCheckBox.AutoSize = true;
       this.startIndexZeroCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
-      this.startIndexZeroCheckBox.Location = new System.Drawing.Point(17, 121);
+      this.startIndexZeroCheckBox.Location = new System.Drawing.Point(96, 46);
       this.startIndexZeroCheckBox.Name = "startIndexZeroCheckBox";
-      this.startIndexZeroCheckBox.Size = new System.Drawing.Size(89, 17);
+      this.startIndexZeroCheckBox.Size = new System.Drawing.Size(15, 14);
       this.startIndexZeroCheckBox.TabIndex = 3;
-      this.startIndexZeroCheckBox.Text = "Start Index 0:";
       this.startIndexZeroCheckBox.UseVisualStyleBackColor = true;
       this.startIndexZeroCheckBox.CheckedChanged += new System.EventHandler(this.startIndexZeroCheckBox_CheckedChanged);
       // 
-      // exactBinsCheckBox
-      // 
-      this.exactBinsCheckBox.AutoSize = true;
-      this.exactBinsCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
-      this.exactBinsCheckBox.Location = new System.Drawing.Point(155, 20);
-      this.exactBinsCheckBox.Name = "exactBinsCheckBox";
-      this.exactBinsCheckBox.Size = new System.Drawing.Size(56, 17);
-      this.exactBinsCheckBox.TabIndex = 4;
-      this.exactBinsCheckBox.Text = "Exact:";
-      this.exactBinsCheckBox.UseVisualStyleBackColor = true;
-      this.exactBinsCheckBox.CheckedChanged += new System.EventHandler(this.exactBinsCheckBox_CheckedChanged);
-      // 
       // binsNumericUpDown
       // 
-      this.binsNumericUpDown.Location = new System.Drawing.Point(48, 19);
+      this.binsNumericUpDown.Location = new System.Drawing.Point(44, 19);
+      this.binsNumericUpDown.Minimum = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
       this.binsNumericUpDown.Name = "binsNumericUpDown";
-      this.binsNumericUpDown.Size = new System.Drawing.Size(101, 20);
-      this.binsNumericUpDown.TabIndex = 5;
+      this.binsNumericUpDown.Size = new System.Drawing.Size(96, 20);
+      this.binsNumericUpDown.TabIndex = 1;
+      this.binsNumericUpDown.Value = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
       this.binsNumericUpDown.ValueChanged += new System.EventHandler(this.binsNumericUpDown_ValueChanged);
       // 
@@ -136,8 +138,8 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(22, 22);
+      this.label1.Location = new System.Drawing.Point(8, 22);
       this.label1.Name = "label1";
       this.label1.Size = new System.Drawing.Size(62, 13);
-      this.label1.TabIndex = 6;
+      this.label1.TabIndex = 0;
       this.label1.Text = "Chart Type:";
       // 
@@ -145,8 +147,8 @@
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(50, 51);
+      this.label2.Location = new System.Drawing.Point(8, 51);
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(34, 13);
-      this.label2.TabIndex = 6;
+      this.label2.TabIndex = 2;
       this.label2.Text = "Color:";
       // 
@@ -157,5 +159,5 @@
       this.label3.Name = "label3";
       this.label3.Size = new System.Drawing.Size(30, 13);
-      this.label3.TabIndex = 6;
+      this.label3.TabIndex = 0;
       this.label3.Text = "Bins:";
       // 
@@ -164,43 +166,219 @@
       this.commonGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.commonGroupBox.Controls.Add(this.panel2);
+      this.commonGroupBox.Controls.Add(this.panel1);
+      this.commonGroupBox.Controls.Add(this.label6);
+      this.commonGroupBox.Controls.Add(this.label5);
       this.commonGroupBox.Controls.Add(this.colorButton);
-      this.commonGroupBox.Controls.Add(this.secondXAxisCheckBox);
-      this.commonGroupBox.Controls.Add(this.secondYAxisCheckBox);
       this.commonGroupBox.Controls.Add(this.label1);
       this.commonGroupBox.Controls.Add(this.label2);
       this.commonGroupBox.Controls.Add(this.chartTypeComboBox);
-      this.commonGroupBox.Controls.Add(this.startIndexZeroCheckBox);
       this.commonGroupBox.Location = new System.Drawing.Point(3, 3);
       this.commonGroupBox.Name = "commonGroupBox";
-      this.commonGroupBox.Size = new System.Drawing.Size(473, 142);
-      this.commonGroupBox.TabIndex = 7;
+      this.commonGroupBox.Size = new System.Drawing.Size(305, 125);
+      this.commonGroupBox.TabIndex = 0;
       this.commonGroupBox.TabStop = false;
       this.commonGroupBox.Text = "Common";
       // 
+      // xAxisSecondaryRadioButton
+      // 
+      this.xAxisSecondaryRadioButton.AutoSize = true;
+      this.xAxisSecondaryRadioButton.Location = new System.Drawing.Point(81, 3);
+      this.xAxisSecondaryRadioButton.Name = "xAxisSecondaryRadioButton";
+      this.xAxisSecondaryRadioButton.Size = new System.Drawing.Size(76, 17);
+      this.xAxisSecondaryRadioButton.TabIndex = 1;
+      this.xAxisSecondaryRadioButton.TabStop = true;
+      this.xAxisSecondaryRadioButton.Text = "Secondary";
+      this.xAxisSecondaryRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisSecondaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
+      // 
+      // yAxisSecondaryRadioButton
+      // 
+      this.yAxisSecondaryRadioButton.AutoSize = true;
+      this.yAxisSecondaryRadioButton.Location = new System.Drawing.Point(82, 3);
+      this.yAxisSecondaryRadioButton.Name = "yAxisSecondaryRadioButton";
+      this.yAxisSecondaryRadioButton.Size = new System.Drawing.Size(76, 17);
+      this.yAxisSecondaryRadioButton.TabIndex = 1;
+      this.yAxisSecondaryRadioButton.TabStop = true;
+      this.yAxisSecondaryRadioButton.Text = "Secondary";
+      this.yAxisSecondaryRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisSecondaryRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
+      // 
+      // xAxisPrimaryRadioButton
+      // 
+      this.xAxisPrimaryRadioButton.AutoSize = true;
+      this.xAxisPrimaryRadioButton.Location = new System.Drawing.Point(3, 3);
+      this.xAxisPrimaryRadioButton.Name = "xAxisPrimaryRadioButton";
+      this.xAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
+      this.xAxisPrimaryRadioButton.TabIndex = 0;
+      this.xAxisPrimaryRadioButton.TabStop = true;
+      this.xAxisPrimaryRadioButton.Text = "Primary";
+      this.xAxisPrimaryRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
+      // 
+      // yAxisPrimaryRadioButton
+      // 
+      this.yAxisPrimaryRadioButton.AutoSize = true;
+      this.yAxisPrimaryRadioButton.Location = new System.Drawing.Point(4, 3);
+      this.yAxisPrimaryRadioButton.Name = "yAxisPrimaryRadioButton";
+      this.yAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
+      this.yAxisPrimaryRadioButton.TabIndex = 0;
+      this.yAxisPrimaryRadioButton.TabStop = true;
+      this.yAxisPrimaryRadioButton.Text = "Primary";
+      this.yAxisPrimaryRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisPrimaryRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
+      // 
+      // label6
+      // 
+      this.label6.AutoSize = true;
+      this.label6.Location = new System.Drawing.Point(8, 100);
+      this.label6.Name = "label6";
+      this.label6.Size = new System.Drawing.Size(39, 13);
+      this.label6.TabIndex = 6;
+      this.label6.Text = "X-Axis:";
+      // 
+      // label5
+      // 
+      this.label5.AutoSize = true;
+      this.label5.Location = new System.Drawing.Point(8, 77);
+      this.label5.Name = "label5";
+      this.label5.Size = new System.Drawing.Size(39, 13);
+      this.label5.TabIndex = 4;
+      this.label5.Text = "Y-Axis:";
+      // 
       // histoGramGroupBox
       // 
       this.histoGramGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.histoGramGroupBox.Controls.Add(this.panel3);
       this.histoGramGroupBox.Controls.Add(this.binsNumericUpDown);
-      this.histoGramGroupBox.Controls.Add(this.exactBinsCheckBox);
       this.histoGramGroupBox.Controls.Add(this.label3);
-      this.histoGramGroupBox.Location = new System.Drawing.Point(3, 151);
+      this.histoGramGroupBox.Location = new System.Drawing.Point(3, 236);
       this.histoGramGroupBox.Name = "histoGramGroupBox";
-      this.histoGramGroupBox.Size = new System.Drawing.Size(473, 49);
-      this.histoGramGroupBox.TabIndex = 7;
+      this.histoGramGroupBox.Size = new System.Drawing.Size(305, 49);
+      this.histoGramGroupBox.TabIndex = 2;
       this.histoGramGroupBox.TabStop = false;
       this.histoGramGroupBox.Text = "Histogram";
       // 
-      // secondXAxisCheckBox
-      // 
-      this.secondXAxisCheckBox.AutoSize = true;
-      this.secondXAxisCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
-      this.secondXAxisCheckBox.Location = new System.Drawing.Point(8, 98);
-      this.secondXAxisCheckBox.Name = "secondXAxisCheckBox";
-      this.secondXAxisCheckBox.Size = new System.Drawing.Size(98, 17);
-      this.secondXAxisCheckBox.TabIndex = 1;
-      this.secondXAxisCheckBox.Text = "Second X Axis:";
-      this.secondXAxisCheckBox.UseVisualStyleBackColor = true;
-      this.secondXAxisCheckBox.CheckedChanged += new System.EventHandler(this.secondXAxisCheckBox_CheckedChanged);
+      // lineChartGroupBox
+      // 
+      this.lineChartGroupBox.Controls.Add(this.lineWidthNumericUpDown);
+      this.lineChartGroupBox.Controls.Add(this.label4);
+      this.lineChartGroupBox.Controls.Add(this.startIndexZeroCheckBox);
+      this.lineChartGroupBox.Controls.Add(this.label7);
+      this.lineChartGroupBox.Controls.Add(this.lineStyleComboBox);
+      this.lineChartGroupBox.Controls.Add(this.label8);
+      this.lineChartGroupBox.Location = new System.Drawing.Point(3, 134);
+      this.lineChartGroupBox.Name = "lineChartGroupBox";
+      this.lineChartGroupBox.Size = new System.Drawing.Size(473, 96);
+      this.lineChartGroupBox.TabIndex = 1;
+      this.lineChartGroupBox.TabStop = false;
+      this.lineChartGroupBox.Text = "Line Chart";
+      // 
+      // lineWidthNumericUpDown
+      // 
+      this.lineWidthNumericUpDown.Location = new System.Drawing.Point(96, 66);
+      this.lineWidthNumericUpDown.Minimum = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.lineWidthNumericUpDown.Name = "lineWidthNumericUpDown";
+      this.lineWidthNumericUpDown.Size = new System.Drawing.Size(65, 20);
+      this.lineWidthNumericUpDown.TabIndex = 5;
+      this.lineWidthNumericUpDown.Value = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.lineWidthNumericUpDown.ValueChanged += new System.EventHandler(this.lineWidthNumericUpDown_ValueChanged);
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(8, 68);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(61, 13);
+      this.label4.TabIndex = 4;
+      this.label4.Text = "Line Width:";
+      // 
+      // label7
+      // 
+      this.label7.AutoSize = true;
+      this.label7.Location = new System.Drawing.Point(8, 46);
+      this.label7.Name = "label7";
+      this.label7.Size = new System.Drawing.Size(82, 13);
+      this.label7.TabIndex = 2;
+      this.label7.Text = "Start Index at 0:";
+      // 
+      // binsApproximatelyRadioButton
+      // 
+      this.binsApproximatelyRadioButton.AutoSize = true;
+      this.binsApproximatelyRadioButton.Location = new System.Drawing.Point(0, 0);
+      this.binsApproximatelyRadioButton.Name = "binsApproximatelyRadioButton";
+      this.binsApproximatelyRadioButton.Size = new System.Drawing.Size(90, 17);
+      this.binsApproximatelyRadioButton.TabIndex = 0;
+      this.binsApproximatelyRadioButton.TabStop = true;
+      this.binsApproximatelyRadioButton.Text = "Approximately";
+      this.binsApproximatelyRadioButton.UseVisualStyleBackColor = true;
+      this.binsApproximatelyRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
+      // 
+      // binsExactRadioButton
+      // 
+      this.binsExactRadioButton.AutoSize = true;
+      this.binsExactRadioButton.Location = new System.Drawing.Point(96, 0);
+      this.binsExactRadioButton.Name = "binsExactRadioButton";
+      this.binsExactRadioButton.Size = new System.Drawing.Size(52, 17);
+      this.binsExactRadioButton.TabIndex = 1;
+      this.binsExactRadioButton.TabStop = true;
+      this.binsExactRadioButton.Text = "Exact";
+      this.binsExactRadioButton.UseVisualStyleBackColor = true;
+      this.binsExactRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
+      // 
+      // panel1
+      // 
+      this.panel1.Controls.Add(this.yAxisSecondaryRadioButton);
+      this.panel1.Controls.Add(this.yAxisPrimaryRadioButton);
+      this.panel1.Location = new System.Drawing.Point(76, 72);
+      this.panel1.Name = "panel1";
+      this.panel1.Size = new System.Drawing.Size(159, 23);
+      this.panel1.TabIndex = 5;
+      // 
+      // panel2
+      // 
+      this.panel2.Controls.Add(this.xAxisPrimaryRadioButton);
+      this.panel2.Controls.Add(this.xAxisSecondaryRadioButton);
+      this.panel2.Location = new System.Drawing.Point(76, 95);
+      this.panel2.Name = "panel2";
+      this.panel2.Size = new System.Drawing.Size(159, 21);
+      this.panel2.TabIndex = 7;
+      // 
+      // panel3
+      // 
+      this.panel3.Controls.Add(this.binsApproximatelyRadioButton);
+      this.panel3.Controls.Add(this.binsExactRadioButton);
+      this.panel3.Location = new System.Drawing.Point(146, 21);
+      this.panel3.Name = "panel3";
+      this.panel3.Size = new System.Drawing.Size(147, 18);
+      this.panel3.TabIndex = 2;
+      // 
+      // lineStyleComboBox
+      // 
+      this.lineStyleComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.lineStyleComboBox.FormattingEnabled = true;
+      this.lineStyleComboBox.Location = new System.Drawing.Point(96, 19);
+      this.lineStyleComboBox.Name = "lineStyleComboBox";
+      this.lineStyleComboBox.Size = new System.Drawing.Size(198, 21);
+      this.lineStyleComboBox.TabIndex = 1;
+      this.lineStyleComboBox.SelectedValueChanged += new System.EventHandler(this.lineStyleComboBox_SelectedValueChanged);
+      // 
+      // label8
+      // 
+      this.label8.AutoSize = true;
+      this.label8.Location = new System.Drawing.Point(8, 22);
+      this.label8.Name = "label8";
+      this.label8.Size = new System.Drawing.Size(56, 13);
+      this.label8.TabIndex = 0;
+      this.label8.Text = "Line Style:";
       // 
       // DataRowVisualPropertiesControl
@@ -208,8 +386,9 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.lineChartGroupBox);
       this.Controls.Add(this.histoGramGroupBox);
       this.Controls.Add(this.commonGroupBox);
       this.Name = "DataRowVisualPropertiesControl";
-      this.Size = new System.Drawing.Size(479, 205);
+      this.Size = new System.Drawing.Size(311, 290);
       ((System.ComponentModel.ISupportInitialize)(this.binsNumericUpDown)).EndInit();
       this.commonGroupBox.ResumeLayout(false);
@@ -217,4 +396,13 @@
       this.histoGramGroupBox.ResumeLayout(false);
       this.histoGramGroupBox.PerformLayout();
+      this.lineChartGroupBox.ResumeLayout(false);
+      this.lineChartGroupBox.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.lineWidthNumericUpDown)).EndInit();
+      this.panel1.ResumeLayout(false);
+      this.panel1.PerformLayout();
+      this.panel2.ResumeLayout(false);
+      this.panel2.PerformLayout();
+      this.panel3.ResumeLayout(false);
+      this.panel3.PerformLayout();
       this.ResumeLayout(false);
 
@@ -224,9 +412,7 @@
 
     private System.Windows.Forms.ComboBox chartTypeComboBox;
-    private System.Windows.Forms.CheckBox secondYAxisCheckBox;
     private System.Windows.Forms.ColorDialog colorDialog;
     private System.Windows.Forms.Button colorButton;
     private System.Windows.Forms.CheckBox startIndexZeroCheckBox;
-    private System.Windows.Forms.CheckBox exactBinsCheckBox;
     private System.Windows.Forms.NumericUpDown binsNumericUpDown;
     private System.Windows.Forms.Label label1;
@@ -235,5 +421,21 @@
     private System.Windows.Forms.GroupBox commonGroupBox;
     private System.Windows.Forms.GroupBox histoGramGroupBox;
-    private System.Windows.Forms.CheckBox secondXAxisCheckBox;
+    private System.Windows.Forms.RadioButton xAxisSecondaryRadioButton;
+    private System.Windows.Forms.RadioButton yAxisSecondaryRadioButton;
+    private System.Windows.Forms.RadioButton xAxisPrimaryRadioButton;
+    private System.Windows.Forms.RadioButton yAxisPrimaryRadioButton;
+    private System.Windows.Forms.Label label6;
+    private System.Windows.Forms.Label label5;
+    private System.Windows.Forms.GroupBox lineChartGroupBox;
+    private System.Windows.Forms.NumericUpDown lineWidthNumericUpDown;
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.Label label7;
+    private System.Windows.Forms.RadioButton binsExactRadioButton;
+    private System.Windows.Forms.RadioButton binsApproximatelyRadioButton;
+    private System.Windows.Forms.Panel panel2;
+    private System.Windows.Forms.Panel panel1;
+    private System.Windows.Forms.Panel panel3;
+    private System.Windows.Forms.ComboBox lineStyleComboBox;
+    private System.Windows.Forms.Label label8;
   }
 }